# Class Sensor

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents a sensor, which is a device or component used to detect and measure physical phenomena such as temperature, pressure, or motion.

    public class Sensor

Inheritance
  object
  Sensor

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### IsGeneral

    public bool IsGeneral { get; set; }

#### Property Value

bool

### Name

    public string? Name { get; set; }

#### Property Value

string

### OnlyNumbers

    public bool OnlyNumbers { get; set; }

#### Property Value

bool

### Title

    public string? Title { get; set; }

#### Property Value

string